#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hslua-objectorientation
version:              2.3.0
visibility:           public
id:                   hslua-objectorientation-2.3.0-2Fpw5KU8Br33rhQ5OZBJlE
key:                  hslua-objectorientation-2.3.0-2Fpw5KU8Br33rhQ5OZBJlE
license:              MIT
copyright:            © 2021-2023 Albert Krewinkel
maintainer:           tarleb@hslua.org
author:               Albert Krewinkel
homepage:             https://hslua.org/
synopsis:             Object orientation tools for HsLua
description:
    Expose Haskell objects to Lua with an object oriented
    interface.

category:             Foreign
abi:                  0f9a09ab2b940c205fd0d06cd55a8260
exposed:              True
exposed-modules:
    HsLua.ObjectOrientation HsLua.ObjectOrientation.Operation

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hslua-objectorientation-2.3.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hslua-objectorientation-2.3.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hslua-objectorientation
hs-libraries:         HShslua-objectorientation-2.3.0-2Fpw5KU8Br33rhQ5OZBJlE
depends:
    base-4.15.1.0 bytestring-0.10.12.1 containers-0.6.4.1
    exceptions-0.10.4 hslua-core-2.3.1-5Pr7F3TWsl5JGe8QlZxbdN
    hslua-marshalling-2.3.0-GDxCsgzYfTcAMS7JPdlAWJ
    hslua-typing-0.1.0-EkG1klJFTcrGoPgYYaHZPr mtl-2.2.2 text-1.2.5.0

haddock-interfaces:
    /usr/share/doc/haskell-hslua-objectorientation/html/hslua-objectorientation.haddock

haddock-html:         /usr/share/doc/haskell-hslua-objectorientation/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

